        DOUBLE PRECISION ABSERR, RELERR, TINIT, WORK(NWORK)
        INTEGER IBACK, ISOO, IUNIT, IWORK(NEQN)
        LOGICAL ABEXIT
        COMMON/CALLUP/ABSERR,RELERR,TINIT,IBACK,ISOO,IUNIT,ABEXIT
        COMMON/CALL2/WORK,IWORK
